Bug 248085 - archivers/unadf: Update source to GitHub
Summary: archivers/unadf: Update source to GitHub
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-18 22:38 UTC by Marcel Bischoff
Modified: 2020-07-22 15:00 UTC (History)
2 users (show)

See Also:


Attachments
Patch (1.17 KB, patch)
2020-07-18 22:38 UTC, Marcel Bischoff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Bischoff 2020-07-18 22:38:01 UTC
Created attachment 216558 [details]
Patch

Changed source from website to GitHub for future updates as the source tarball is not linked there.
Comment 1 Automation User 2020-07-18 22:52:16 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/168180500
Comment 2 Daniel Engberg freebsd_committer 2020-07-19 19:06:32 UTC
This change only makes sense once its bumped?
Comment 3 Marcel Bischoff 2020-07-20 04:31:43 UTC
My thinking is that since the port is unmaintained, this is an incremental step towards a more trivial update. An alternative: leave this as-is and create a "unadf-current" port that reflects the changes from GitHub that are not formally released. For both ports I would take maintainership.

What do you think?
Comment 4 commit-hook freebsd_committer 2020-07-22 14:59:54 UTC
A commit references this bug:

Author: fernape
Date: Wed Jul 22 14:59:52 UTC 2020
New revision: 542860
URL: https://svnweb.freebsd.org/changeset/ports/542860

Log:
  archivers/unadf: Move to USE_GITHUB

  The GitHub account is updated while the web site is not.

  While here, add missing USE_LDCONFIG

  PR:	248085
  Submitted by:	marcel@herrbischoff.com

Changes:
  head/archivers/unadf/Makefile
  head/archivers/unadf/distinfo
Comment 5 Fernando Apesteguía freebsd_committer 2020-07-22 15:00:47 UTC
Committed,

Thanks!